Dokumentace API endpointů
Zasílání polohy
POST /position
Autentizace:
Potřeba
Content-Type:
application/json
Request Body:
{
"latitude": 12.34,
"longitude": 56.78
}
Hlavičky
| Content-Type | Value |
|---|---|
| Authorization | Bearer ... |
Získání kontaktů
GET /contacts
Autentizace:
Netřeba
Content-Type:
application/json
Odpověď
{
"contacts": [
{
"name": "Lukáš Dvořák",
"function": "Technická Podpora",
"phone_number": "123456789"
},
{
"name": "Jan Novák",
"function": "Pořadatel",
"phone_number": "777777777"
}
]
}
Získání polohy závodníků
GET /positions
Autentizace:
Třeba
Content-Type:
application/json
Hlavičky
| Content-Type | Value |
|---|---|
| Authorization | Bearer ... |
Odpověď
{
"positions": [
{
"name": "1",
"latitude": 51.7728517,
"longitude": 14.0716433
}
]
}
Nastavení sdílení polohy
POST /sharing
Autentizace:
Potřeba
Content-Type:
application/json
Request Body:
{
"sharing": 1
}
Hlavičky
| Content-Type | Value |
|---|---|
| Authorization | Bearer ... |
Získání sdílení polohy
GET /sharing
Autentizace:
Potřeba
Content-Type:
application/json
Hlavičky
| Content-Type | Value |
|---|---|
| Authorization | Bearer ... |
Odpověď:
{
"sharing": 1
}
Odstoupení ze závodu
POST /dnf
Autentizace:
Potřeba
Content-Type:
application/json
Hlavičky
| Content-Type | Value |
|---|---|
| Authorization | Bearer ... |